net.corda.node.services

## Class NotaryChange.Plugin

- CordaPluginRegistry
- - net.corda.node.services.NotaryChange.Plugin

- Enclosing class:
    NotaryChange

      public static class NotaryChange.Plugin
      extends CordaPluginRegistry

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Plugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.util.function.Function>` | `getServicePlugins()` List of lambdas constructing additional long lived services to be hosted within the node. They expect a single `interface PluginServiceHub` parameter as input. The `interface PluginServiceHub` will be fully constructed before the plugin service is created and will allow access to the Flow factory and Flow initiation entry points there.

    - ### Methods inherited from class net.corda.core.node.CordaPluginRegistry

      `customizeSerialization, getRequiredFlows, getServicePlugins, getStaticServeDirs, getWebApis`

- - ### Constructor Detail

    - #### Plugin

          public Plugin()

  - ### Method Detail

    - #### getServicePlugins

          public java.util.List<java.util.function.Function> getServicePlugins()

      List of lambdas constructing additional long lived services to be hosted within the node. They expect a single `interface PluginServiceHub` parameter as input. The `interface PluginServiceHub` will be fully constructed before the plugin service is created and will allow access to the Flow factory and Flow initiation entry points there.

      See Also:
        `interface PluginServiceHub`, `interface PluginServiceHub`